SIP
Get customer's SIP endpoint by ID
Get created SIP endpoint by its unique ID.
The SIP endpoint unique ID can be retrieved from GET /api/v1/sip/endpoints, which returns the list of SIP endpoints assigned to the current customer.
Path Parameters
id*integer
SIP endpoint's unique ID
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/sip/endpoints/1" \ -H "Authorization: string"{
"code": 0,
"data": {
"auth": "ip",
"created_at": "string",
"description": "string",
"disabled_at": "string",
"id": 0,
"ip_acl": "string",
"is_active": true,
"name": "string",
"username": "string"
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}